Bullet Collision Detection & Physics Library: btCollisionObjectDoubleData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btCollisionObjectDoubleData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btCollisionObject.h>`

Collaboration diagram for btCollisionObjectDoubleData:
[legend]

## Public Attributes
void * | m_broadphaseHandle
void * | m_collisionShape
btCollisionShapeData * | m_rootCollisionShape
char * | m_name
btTransformDoubleData | m_worldTransform
btTransformDoubleData | m_interpolationWorldTransform
btVector3DoubleData | m_interpolationLinearVelocity
btVector3DoubleData | m_interpolationAngularVelocity
btVector3DoubleData | m_anisotropicFriction
double | m_contactProcessingThreshold
double | m_deactivationTime
double | m_friction
double | m_rollingFriction
double | m_contactDamping
double | m_contactStiffness
double | m_restitution
double | m_hitFraction
double | m_ccdSweptSphereRadius
double | m_ccdMotionThreshold
int | m_hasAnisotropicFriction
int | m_collisionFlags
int | m_islandTag1
int | m_companionId
int | m_activationState1
int | m_internalType
int | m_checkCollideWith
int | m_collisionFilterGroup
int | m_collisionFilterMask
int | m_uniqueId

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 614 of file btCollisionObject.h.

## Member Data Documentation

## ◆ m_activationState1

int btCollisionObjectDoubleData::m_activationState1

Definition at line 640 of file btCollisionObject.h.

## ◆ m_anisotropicFriction

btVector3DoubleData btCollisionObjectDoubleData::m_anisotropicFriction

Definition at line 625 of file btCollisionObject.h.

## ◆ m_broadphaseHandle

void* btCollisionObjectDoubleData::m_broadphaseHandle

Definition at line 616 of file btCollisionObject.h.

## ◆ m_ccdMotionThreshold

double btCollisionObjectDoubleData::m_ccdMotionThreshold

Definition at line 635 of file btCollisionObject.h.

## ◆ m_ccdSweptSphereRadius

double btCollisionObjectDoubleData::m_ccdSweptSphereRadius

Definition at line 634 of file btCollisionObject.h.

## ◆ m_checkCollideWith

int btCollisionObjectDoubleData::m_checkCollideWith

Definition at line 642 of file btCollisionObject.h.

## ◆ m_collisionFilterGroup

int btCollisionObjectDoubleData::m_collisionFilterGroup

Definition at line 643 of file btCollisionObject.h.

## ◆ m_collisionFilterMask

int btCollisionObjectDoubleData::m_collisionFilterMask

Definition at line 644 of file btCollisionObject.h.

## ◆ m_collisionFlags

int btCollisionObjectDoubleData::m_collisionFlags

Definition at line 637 of file btCollisionObject.h.

## ◆ m_collisionShape

void* btCollisionObjectDoubleData::m_collisionShape

Definition at line 617 of file btCollisionObject.h.

## ◆ m_companionId

int btCollisionObjectDoubleData::m_companionId

Definition at line 639 of file btCollisionObject.h.

## ◆ m_contactDamping

double btCollisionObjectDoubleData::m_contactDamping

Definition at line 630 of file btCollisionObject.h.

## ◆ m_contactProcessingThreshold

double btCollisionObjectDoubleData::m_contactProcessingThreshold

Definition at line 626 of file btCollisionObject.h.

## ◆ m_contactStiffness

double btCollisionObjectDoubleData::m_contactStiffness

Definition at line 631 of file btCollisionObject.h.

## ◆ m_deactivationTime

double btCollisionObjectDoubleData::m_deactivationTime

Definition at line 627 of file btCollisionObject.h.

## ◆ m_friction

double btCollisionObjectDoubleData::m_friction

Definition at line 628 of file btCollisionObject.h.

## ◆ m_hasAnisotropicFriction

int btCollisionObjectDoubleData::m_hasAnisotropicFriction

Definition at line 636 of file btCollisionObject.h.

## ◆ m_hitFraction

double btCollisionObjectDoubleData::m_hitFraction

Definition at line 633 of file btCollisionObject.h.

## ◆ m_internalType

int btCollisionObjectDoubleData::m_internalType

Definition at line 641 of file btCollisionObject.h.

## ◆ m_interpolationAngularVelocity

btVector3DoubleData btCollisionObjectDoubleData::m_interpolationAngularVelocity

Definition at line 624 of file btCollisionObject.h.

## ◆ m_interpolationLinearVelocity

btVector3DoubleData btCollisionObjectDoubleData::m_interpolationLinearVelocity

Definition at line 623 of file btCollisionObject.h.

## ◆ m_interpolationWorldTransform

btTransformDoubleData btCollisionObjectDoubleData::m_interpolationWorldTransform

Definition at line 622 of file btCollisionObject.h.

## ◆ m_islandTag1

int btCollisionObjectDoubleData::m_islandTag1

Definition at line 638 of file btCollisionObject.h.

## ◆ m_name

char* btCollisionObjectDoubleData::m_name

Definition at line 619 of file btCollisionObject.h.

## ◆ m_restitution

double btCollisionObjectDoubleData::m_restitution

Definition at line 632 of file btCollisionObject.h.

## ◆ m_rollingFriction

double btCollisionObjectDoubleData::m_rollingFriction

Definition at line 629 of file btCollisionObject.h.

## ◆ m_rootCollisionShape

btCollisionShapeData* btCollisionObjectDoubleData::m_rootCollisionShape

Definition at line 618 of file btCollisionObject.h.

## ◆ m_uniqueId

int btCollisionObjectDoubleData::m_uniqueId

Definition at line 645 of file btCollisionObject.h.

## ◆ m_worldTransform

btTransformDoubleData btCollisionObjectDoubleData::m_worldTransform

Definition at line 621 of file btCollisionObject.h.

The documentation for this struct was generated from the following file:

- btCollisionObject.h